#include <iostream>
#include <cdatos.h>
#include <string>
#include <error.h>
#include <matutil.h>
int main ()
{
    // Prueba vector dinmico de dimensin dada
    int n = 5;
    CDatos d(n);
    cout << d << endl;
    DVector x = d.x();
    DVector y = d.y();
    DVector ey = d.ey();

    cout << "dimensin de x = " << x.dimension() << endl;
    cout << "dimensin de y = " << y.dimension() << endl;
    cout << "dimensin de ey = " << ey.dimension() << endl;

    cout << " lee elementos" << endl; 
    
    for (int i= 0; i<n; i++){
	x[i] = i+1;
	y[i] = (i+1)*5. + 0.2*i;
	ey[i] = 0.01*(i+1);
    }
    
    for (int i= 1; i<=n; i++){
	cout << " x("<<i<<")=" << x(i) << endl;
	cout << " y("<<i<<")=" << y(i) << endl;
	cout << " ey("<<i<<")=" << ey(i) << endl;
    }

    d.x() = x;
    d.y() = y;
    d.ey() = ey;

    cout << "dimension de d = " << d.dimension() <<endl;
    string fdatos = "cd1.dat";
    d.escribe(fdatos);
    cout << "conjunto de datos = " << d << endl;
    d.expande(110.,220., 0.1);
    d.expande(210.,320., 0.01);
    d.expande(2210.,2320., 0.001);

    cout << "dimension de d = " << d.dimension()
	 << endl;

    while (!d.vacio()){
	cout << "dimension de d = " << d.dimension()
	     << endl;
	cout << "conjunto de datos = " << d << endl;
	d.contrae();
    }

    return 0;
}
